## spd 1.5

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 1.5
Date: 2011-01-25
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods, graphics, KernSmooth
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: spd
Repository/R-Forge/Revision: 20
Date/Publication: 2011-01-26 11:29:10
Packaged: 2011-01-25 21:56:04 UTC; rforge

## spd 1.3.0

=== debian/changelog ===
spd (1.3.0-2) unstable; urgency=medium

  * Team Upload
  * Trim noise from d/rules

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 13:06:40 +0200

spd (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add ld_as-needed.patch from Ubuntu to fix link order. Fixes FTBFS.
    Closes: #656409, #925834
  * d/copyright: src/spec_shm.h license is actually Expat, not BSD
  * add patch to fix spelling mistakes.
  * d/control: fix priority-extra-is-replaced-by-priority-optional
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/control: adopt into debian-science team and upload to salsa.d.o

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 12:14:20 +0200

spd (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #644518)

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Wed, 05 Oct 2011 14:06:44 +0200

=== debian/control ===
Source: spd
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>
Build-Depends: debhelper-compat (= 13), gfortran, zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://forge.epn-campus.eu/projects/azimuthal
Vcs-Browser: https://salsa.debian.org/science-team/spd
Vcs-Git: https://salsa.debian.org/science-team/spd.git
Rules-Requires-Root: no

Package: spd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Synchrotron image corrections and azimuthal integration
 SPD stands for SPatial Distortion. Written in C language, this command-line
 driven program deals with images coming from X-ray diffusion/diffraction
 experiments. It does subsequently:
  *intensity corrections (dark current, flat field correction, ...),
  *geometry corrections using spline files or a pair of distortion arrays,
  *azimuthal integration in 2D or 1D after maskin defective pixels.
 SPD was originally written by Jorg Klora for ESRF and was re-written by Peter
 Boesecke. Maintenance and packaging of the program are provided by Rainer
 Wilcke and Jerome Kieffer from software group at ESRF.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh  $@

## spd 1.6

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 1.6
Date: 2011-09-13
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods, graphics, KernSmooth
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: spd
Repository/R-Forge/Revision: 22
Date/Publication: 2011-09-14 06:45:43
Packaged: 2011-09-13 21:47:36 UTC; rforge

## spd 1.7

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 1.7
Date: 2012-03-15
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods, graphics, KernSmooth
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: spd
Repository/R-Forge/Revision: 23
Packaged: 2012-03-15 19:20:02 UTC; rforge
Date/Publication: 2012-03-16 14:05:06

## spd 1.8

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 1.8
Date: 2012-12-20
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R zzz.R
Depends: methods, graphics, KernSmooth
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: spd
Repository/R-Forge/Revision: 24
Repository/R-Forge/DateTimeStamp: 2012-12-18 09:23:51
Date/Publication: 2012-12-18 22:04:50
Packaged: 2012-12-18 15:17:27 UTC; rforge

## spd 1.9

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 1.9
Date: 2013-04-10
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods
Imports: KernSmooth
LazyLoad: yes
License: GPL
Packaged: 2013-04-09 06:09:52 UTC; alexios
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-04-09 10:24:08

## spd 2.0-0

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 2.0-0
Date: 2014-07-01
Author: alexios ghalanos <alexios@4dscape.com>
Maintainer: alexios ghalanos <alexios@4dscape.com>
Description: Semi Parametric Piecewise Distribution
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods
Imports: KernSmooth
LazyLoad: yes
URL: http://www.unstarched.net, https://bitbucket.org/alexiosg
License: GPL
Packaged: 2014-07-01 15:47:44 UTC; alexios
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-07-02 09:33:18

## spd 2.0-1

=== DESCRIPTION ===
Package: spd
Type: Package
Title: Semi Parametric Distribution
Version: 2.0-1
Date: 2015-07-02
Author: Alexios Ghalanos <alexios@4dscape.com>
Maintainer: Alexios Ghalanos <alexios@4dscape.com>
Description: The Semi Parametric Piecewise Distribution blends the Generalized Pareto Distribution for the tails with a kernel based interior.
Collate: misc-spd.R classes-spd.R methods-GPD.R methods-spdFit.R
        methods-spdDistribution.R methods-spdPlots.R
Depends: methods
Imports: KernSmooth, stats, graphics, utils
LazyLoad: yes
URL: http://www.unstarched.net, https://bitbucket.org/alexiosg
License: GPL
NeedsCompilation: no
Packaged: 2015-07-02 23:32:01 UTC; alexios
Repository: CRAN
Date/Publication: 2015-07-03 05:44:57
